try {
  $processor = Get-WmiObject Win32_Processor
  $is64bit = $processor.AddressWidth -eq 64
  if ($is64bit) {
    $unpath = "${Env:ProgramFiles(x86)}\FinalWire\AIDA64 Extreme Edition\unins000.exe"
  } else {
    $unpath = "${Env:ProgramFiles}\FinalWire\AIDA64 Extreme Edition\unins000.exe"
  }
  Uninstall-ChocolateyPackage 'aida64extreme' 'EXE' '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' "$unpath" -validExitCodes @(0)
  
  # the following is all part of error handling
  Write-ChocolateySuccess 'aida64extreme'
} catch {
  Write-ChocolateyFailure 'aida64extreme' "$($_.Exception.Message)"
  throw 
}
